import { DataEntry } from '../entry/data-entry';
export interface DataModel {
    getTable(entries: DataEntry[]): any[][];
    makeRequest(requests: DataRequest[]): DataResponse[];
}
export declare class DataRequest {
    domain: string;
    type: string;
    options: object;
    constructor(domain: string, type: string, options: object);
}
export declare class AddRequest extends DataRequest {
    static readonly type: string;
    constructor(domain: string, options: object);
}
export declare class GetRequest extends DataRequest {
    static readonly type: string;
    constructor(domain: string, options: object);
}
export declare class RemoveRequest extends DataRequest {
    static readonly type: string;
    constructor(domain: string, options: object);
}
export declare class SetRequest extends DataRequest {
    static readonly type: string;
    constructor(domain: string, value: any, options: object);
}
export declare class DataResponse {
    succes: boolean;
    error: string;
    constructor(succes: boolean, error?: string);
}
export declare class GetResponse extends DataResponse {
    value: any[];
    constructor(succes?: boolean, value?: any[], error?: string);
}
